org.jboss.jca.core

## Interface CoreLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="IJ")
      public interface CoreLogger
      extends org.jboss.logging.BasicLogger

  The core logger. Message ids ranging from 000000 to 009999 inclusively.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activeHandle(java.lang.Object handle, java.lang.Exception e)` Active handle
    `void` | `activeHandles(java.lang.String pool, int number)` Active handles
    `void` | `attemptReturnConnectionTwice(java.lang.Object cl, java.lang.Throwable t)` Attempt to return connection twice
    `void` | `backgroundValidationNonCompliantManagedConnectionFactory()` Background validation was specified with a non compliant ManagedConnectionFactory interface
    `void` | `beforeCompletionErrorOccured(java.lang.Object cl, java.lang.Throwable t)` Error during beforeCompletion
    `void` | `closingConnection(java.lang.Object handle)` Closing connection
    `void` | `closingConnection(java.lang.Object handle, java.lang.Throwable t)` Closing connection
    `void` | `closingConnectionNoClose(java.lang.String clz)` No close method for closing connection
    `void` | `closingConnectionThrowable(java.lang.Throwable t)` Closing connection results in throwable
    `void` | `connectionErrorOccured(java.lang.Object cl, java.lang.Throwable t)` Connection error occured
    `void` | `connectionLeak(java.lang.String poolName, java.lang.String id, long time, java.lang.Throwable t)` Connection leak
    `void` | `connectionValidatorIgnoredUnexpectedError(java.lang.Throwable t)` ConnectionValidator ignored unexpected error
    `void` | `connectionValidatorIgnoredUnexpectedRuntimeException(java.lang.Throwable t)` ConnectionValidator ignored unexpected runtime exception
    `void` | `delistingFailed(java.lang.String pool, java.lang.Exception e)` TxConnectionListener delisting failed
    `void` | `deprecatedPool(java.lang.String oldPool, java.lang.String newPool)` Deprecated pool
    `void` | `destroyingActiveConnection(java.lang.String poolName, java.lang.Object mc)` Going to destroy connection listener during shutdown
    `void` | `destroyingConnectionNotSuccessfullyMatched(java.lang.Object cl)` Destroying connection that could not be successfully matched
    `void` | `destroyingConnectionNotSuccessfullyMatched(java.lang.Object cl, java.lang.Object mcf)` Destroying connection that could not be successfully matched
    `void` | `destroyingConnectionNotValidated(java.lang.Object cl)` Destroying connection that could not be validated
    `void` | `destroyingReturnedConnectionMaximumPoolSizeExceeded(java.lang.Object cl)` Destroying returned connection, maximum pool size exceeded
    `void` | `errorDuringTidyUpConnection(java.lang.Object cl, java.lang.Throwable t)` Error during tidy up connection
    `void` | `errorWhileClosingConnectionHandle(java.lang.Throwable t)` Error while closing connection handle
    `void` | `errorWhileLoadingCallbackProperties(java.lang.Throwable t)` Error while loading callback.properties
    `void` | `errorWhileLoadingRolesProperties(java.lang.Throwable t)` Error while loading roles.properties
    `void` | `errorWhileLoadingUsersProperties(java.lang.Throwable t)` Error while loading users.properties
    `void` | `exceptionDuringConnectionClose(java.lang.Throwable t)` Error during connection close
    `void` | `exceptionDuringCrashRecovery(java.lang.String jndiName, java.lang.String reason, java.lang.Throwable t)` Error during crash recovery
    `void` | `exceptionDuringCrashRecoveryInflow(java.lang.String rar, java.lang.Object as, java.lang.Throwable t)` Error during inflow crash recovery
    `void` | `exceptionDuringCrashRecoverySubject(java.lang.String jndiName, java.lang.String reason, java.lang.Throwable t)` Error creating Subject for crash recovery
    `void` | `exceptionDuringCreateSubject(java.lang.String jndiName, java.lang.String description, java.lang.Throwable t)` Exception during createSubject()
    `void` | `exceptionDuringUnbind(java.lang.Throwable t)` Exception during unbind
    `void` | `invalidCapacityDecrementer(java.lang.String clz)` Invalid decrementer policy
    `void` | `invalidCapacityIncrementer(java.lang.String clz)` Invalid incrementer policy
    `void` | `invalidCapacityOption(java.lang.String key, java.lang.String value, java.lang.String policy)` Invalid policy option
    `void` | `multipleLocalTransactionConnectionListenerEnlisted(java.lang.String name, java.lang.Object cl)` Multiple LocalTransaction connection listener enlisted
    `void` | `noCallbackPropertiesFound()` No callback.properties were found
    `void` | `noCrashRecoverySecurityDomain(java.lang.String jndiName)` No security domain defined for crash recovery
    `void` | `noLazyEnlistmentAvailable(java.lang.String pool)` No lazy enlistment available
    `void` | `noRolesPropertiesFound()` No roles.properties were found
    `void` | `notifiedErrorDifferentManagedConnection()` Notified of error on a different managed connection
    `void` | `noUsersPropertiesFound()` No users.properties were found
    `void` | `nullSubjectCrashRecovery(java.lang.String jndiName)` Subject for crash recovery was null
    `void` | `prepareCalledOnLocaltx()` Prepare called on a local tx
    `void` | `reconnectingConnectionHandleHasManagedConnection(java.lang.Object mc, java.lang.Object connection)` reconnecting a connection handle that still has a managedConnection
    `void` | `registeredNullHandleManagedConnection(java.lang.Object managedConnection)` Registered a null handle for managedConnection
    `void` | `resourceExceptionCleaningUpManagedConnection(java.lang.Object cl, java.lang.Throwable t)` ResourceException cleaning up ManagedConnection
    `void` | `resourceExceptionReturningConnection(java.lang.Object mc, java.lang.Throwable t)` resourceException in returning connection
    `void` | `returningConnectionValidatorInterrupted()` ConnectionValidator has been interrupted
    `void` | `securityContextSetupFailed(java.lang.String description, java.lang.Throwable t)` SecurityContext setup failed
    `void` | `securityContextSetupFailedCallbackSecurityNull()` SecurityContext setup failed since CallbackSecurity was null
    `void` | `somethingWrongWithPooling(java.lang.Throwable t)` There is something wrong with the pooling
    `void` | `threadIsnotEnlistingThread(java.lang.Object currentThread, java.lang.Object enlistingThread, java.lang.Throwable t)` Thread is not the enlisting thread
    `void` | `throwableFromUnregisterConnection(java.lang.Throwable t)` throwable from unregister connection
    `void` | `throwableReturningConnection(java.lang.Object mc, java.lang.Throwable t)` Throwable in returning connection
    `void` | `throwableWhileAttemptingGetNewGonnection(java.lang.Object cl, java.lang.Throwable t)` Throwable while attempting to get a new connection
    `void` | `throwableWhileTryingMatchManagedConnection(java.lang.Object cl, java.lang.Throwable t)` Throwable while trying to match ManagedConnection, destroying connection
    `void` | `throwableWhileTryingMatchManagedConnectionThenDestroyingConnection(java.lang.Object cl, java.lang.Throwable t)` Throwable while trying to match ManagedConnection, destroying connection
    `void` | `transactionErrorInAfterCompletion(java.lang.Object transaction, java.lang.Object synch, java.lang.Throwable t)` Transaction error in after completion
    `void` | `transactionErrorInBeforeCompletion(java.lang.Object transaction, java.lang.Object synch, java.lang.Throwable t)` Transaction error in before completion
    `void` | `transactionNotFound(java.lang.Object transaction)` Transaction not found
    `void` | `txConnectionListenerBoundary(java.lang.Exception e)` TxConnectionListener boundary
    `void` | `unableFillPool(java.lang.Throwable t, java.lang.String jndiName)` Unable to fill pool
    `void` | `uncheckedThrowableInManagedConnectionDisconnected(java.lang.Object cl, java.lang.Throwable t)` Unchecked throwable in managedConnectionDisconnected()
    `void` | `unknownConnectionErrorOccured(java.lang.Object cl, java.lang.Throwable t)` Unknown Connection error occured
    `void` | `unregisteredHandleNotRegistered(java.lang.Object handle, java.lang.Object managedConnection)` Unregistered handle that was not registered
    `void` | `unregisteredNullHandleManagedConnection(java.lang.Object managedConnection)` Unregistered a null handle for managedConnection
    `void` | `unsupportedPoolImplementation(java.lang.String clz)` Unsupported pool implementation
    `void` | `validateOnMatchNonCompliantManagedConnectionFactory(java.lang.String mcf)` ValidateOnMatch was specified with a non compliant ManagedConnectionFactory interface

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Method Detail

    - #### closingConnection

          @LogMessage(level=INFO)
           @Message(id=100,
                   value="Closing a connection for you. Please close them yourself: %s")
          void closingConnection(java.lang.Object handle)

      Closing connection
      Parameters:
        `handle` - The hande

    - #### closingConnection

          @LogMessage(level=INFO)
          void closingConnection(java.lang.Object handle,
                                                         @Cause
                                                         java.lang.Throwable t)

      Closing connection
      Parameters:
        `handle` - The hande
        `t` - The exception

    - #### closingConnectionThrowable

          @LogMessage(level=INFO)
           @Message(id=102,
                   value="Throwable trying to close a connection for you, please close it yourself")
          void closingConnectionThrowable(@Cause
                                                                                                                                                                               java.lang.Throwable t)

      Closing connection results in throwable
      Parameters:
        `t` - The exception

    - #### closingConnectionNoClose

          @LogMessage(level=INFO)
           @Message(id=103,
                   value="Could not find a close method on alleged connection object (%s). Please close your own connections")
          void closingConnectionNoClose(java.lang.String clz)

      No close method for closing connection
      Parameters:
        `clz` - The class name

    - #### securityContextSetupFailed

          @LogMessage(level=ERROR)
           @Message(id=201,
                   value="SecurityContext setup failed: %s")
          void securityContextSetupFailed(java.lang.String description,
                                                                                                                                        @Cause
                                                                                                                                        java.lang.Throwable t)

      SecurityContext setup failed
      Parameters:
        `description` - throwable description
        `t` - The exception

    - #### securityContextSetupFailedCallbackSecurityNull

          @LogMessage(level=ERROR)
           @Message(id=202,
                   value="SecurityContext setup failed since CallbackSecurity was null")
          void securityContextSetupFailedCallbackSecurityNull()

      SecurityContext setup failed since CallbackSecurity was null

    - #### registeredNullHandleManagedConnection

          @LogMessage(level=INFO)
           @Message(id=301,
                   value="Registered a null handle for managed connection: %s")
          void registeredNullHandleManagedConnection(java.lang.Object managedConnection)

      Registered a null handle for managedConnection
      Parameters:
        `managedConnection` - The managedConnection instance

    - #### unregisteredHandleNotRegistered

          @LogMessage(level=INFO)
           @Message(id=302,
                   value="Unregistered handle that was not registered: %s for managed connection: %s")
          void unregisteredHandleNotRegistered(java.lang.Object handle,
                                                                                                                                                                                      java.lang.Object managedConnection)

      Unregistered handle that was not registered
      Parameters:
        `handle` - Unregistered handle
        `managedConnection` - The managedConnection instance

    - #### unregisteredNullHandleManagedConnection

          @LogMessage(level=INFO)
           @Message(id=303,
                   value="Unregistered a null handle for managed connection: %s")
          void unregisteredNullHandleManagedConnection(java.lang.Object managedConnection)

      Unregistered a null handle for managedConnection
      Parameters:
        `managedConnection` - The managedConnection instance

    - #### connectionErrorOccured

          @LogMessage(level=WARN)
           @Message(id=305,
                   value="Connection error occured: %s")
          void connectionErrorOccured(java.lang.Object cl,
                                                                                                                               @Cause
                                                                                                                               java.lang.Throwable t)

      Connection error occured
      Parameters:
        `cl` - AbstractConnectionListener instance
        `t` - The exception

    - #### unknownConnectionErrorOccured

          @LogMessage(level=WARN)
           @Message(id=306,
                   value="Unknown connection error occured: %s")
          void unknownConnectionErrorOccured(java.lang.Object cl,
                                                                                                                                              @Cause
                                                                                                                                              java.lang.Throwable t)

      Unknown Connection error occured
      Parameters:
        `cl` - AbstractConnectionListener instance
        `t` - The exception

    - #### notifiedErrorDifferentManagedConnection

          @LogMessage(level=WARN)
           @Message(id=307,
                   value="Notified of error on a different managed connection")
          void notifiedErrorDifferentManagedConnection()

      Notified of error on a different managed connection

    - #### throwableFromUnregisterConnection

          @LogMessage(level=INFO)
           @Message(id=311,
                   value="Throwable from unregister connection")
          void throwableFromUnregisterConnection(@Cause
                                                                                                                                                  java.lang.Throwable t)

      throwable from unregister connection
      Parameters:
        `t` - The exception

    - #### errorWhileClosingConnectionHandle

          @LogMessage(level=ERROR)
           @Message(id=312,
                   value="Error while closing connection handle")
          void errorWhileClosingConnectionHandle(@Cause
                                                                                                                                                    java.lang.Throwable t)

      Error while closing connection handle
      Parameters:
        `t` - The exception

    - #### somethingWrongWithPooling

          @LogMessage(level=ERROR)
           @Message(id=313,
                   value="There is something wrong with the pooling")
          void somethingWrongWithPooling(@Cause
                                                                                                                                                java.lang.Throwable t)

      There is something wrong with the pooling
      Parameters:
        `t` - The exception

    - #### beforeCompletionErrorOccured

          @LogMessage(level=WARN)
           @Message(id=314,
                   value="Error during beforeCompletion: %s")
          void beforeCompletionErrorOccured(java.lang.Object cl,
                                                                                                                                          @Cause
                                                                                                                                          java.lang.Throwable t)

      Error during beforeCompletion
      Parameters:
        `cl` - AbstractConnectionListener instance
        `t` - The exception

    - #### activeHandles

          @LogMessage(level=ERROR)
           @Message(id=315,
                   value="Pool %s has %d active handles")
          void activeHandles(java.lang.String pool,
                                                                                                                        int number)

      Active handles
      Parameters:
        `pool` - The name of the pool
        `number` - The number of active handles

    - #### activeHandle

          @LogMessage(level=ERROR)
           @Message(id=316,
                   value="Handle allocation: %s")
          void activeHandle(java.lang.Object handle,
                                                                                                               @Cause
                                                                                                               java.lang.Exception e)

      Active handle
      Parameters:
        `handle` - The handle
        `e` - The trace

    - #### txConnectionListenerBoundary

          @LogMessage(level=ERROR)
           @Message(id=317,
                   value="Transaction boundary")
          void txConnectionListenerBoundary(@Cause
                                                                                                                              java.lang.Exception e)

      TxConnectionListener boundary
      Parameters:
        `e` - The trace

    - #### delistingFailed

          @LogMessage(level=ERROR)
           @Message(id=318,
                   value="Delisting resource in pool %s failed")
          void delistingFailed(java.lang.String pool,
                                                                                                                                 @Cause
                                                                                                                                 java.lang.Exception e)

      TxConnectionListener delisting failed
      Parameters:
        `pool` - The name of the pool
        `e` - The trace

    - #### errorDuringTidyUpConnection

          @LogMessage(level=WARN)
           @Message(id=401,
                   value="Error during tidy up connection: %s")
          void errorDuringTidyUpConnection(java.lang.Object cl,
                                                                                                                                           @Cause
                                                                                                                                           java.lang.Throwable t)

      Error during tidy up connection
      Parameters:
        `cl` - The ConnectionListener name
        `t` - The exception

    - #### resourceExceptionReturningConnection

          @LogMessage(level=WARN)
           @Message(id=402,
                   value="ResourceException in returning connection: %s")
          void resourceExceptionReturningConnection(java.lang.Object mc,
                                                                                                                                                              @Cause
                                                                                                                                                              java.lang.Throwable t)

      resourceException in returning connection
      Parameters:
        `mc` - The ManagedConnection name
        `t` - The exception

    - #### reconnectingConnectionHandleHasManagedConnection

          @LogMessage(level=WARN)
           @Message(id=403,
                   value="Reconnecting a connection handle that still has a managed connection: %s %s")
          void reconnectingConnectionHandleHasManagedConnection(java.lang.Object mc,
                                                                                                                                                                                                        java.lang.Object connection)

      reconnecting a connection handle that still has a managedConnection
      Parameters:
        `mc` - The ManagedConnection name
        `connection` - connection object

    - #### uncheckedThrowableInManagedConnectionDisconnected

          @LogMessage(level=WARN)
           @Message(id=404,
                   value="Unchecked throwable in managedConnectionDisconnected() cl=%s")
          void uncheckedThrowableInManagedConnectionDisconnected(java.lang.Object cl,
                                                                                                                                                                                          @Cause
                                                                                                                                                                                          java.lang.Throwable t)

      Unchecked throwable in managedConnectionDisconnected()
      Parameters:
        `cl` - The ConnectionListener name
        `t` - The exception

    - #### multipleLocalTransactionConnectionListenerEnlisted

          @LogMessage(level=WARN)
           @Message(id=405,
                   value="Multiple LocalTransaction connection listeners enlisted for %s, cl=%s")
          void multipleLocalTransactionConnectionListenerEnlisted(java.lang.String name,
                                                                                                                                                                                                    java.lang.Object cl)

      Multiple LocalTransaction connection listener enlisted
      Parameters:
        `name` - The pool name
        `cl` - The ConnectionListener

    - #### throwableReturningConnection

          @LogMessage(level=ERROR)
           @Message(id=406,
                   value="Throwable in returning connection: %s")
          void throwableReturningConnection(java.lang.Object mc,
                                                                                                                                               @Cause
                                                                                                                                               java.lang.Throwable t)

      Throwable in returning connection
      Parameters:
        `mc` - The ManagedConnection name
        `t` - The exception

    - #### noLazyEnlistmentAvailable

          @LogMessage(level=WARN)
           @Message(id=407,
                   value="No lazy enlistment available for %s")
          void noLazyEnlistmentAvailable(java.lang.String pool)

      No lazy enlistment available
      Parameters:
        `pool` - The pool name

    - #### deprecatedPool

          @LogMessage(level=WARN)
           @Message(id=408,
                   value="Deprecated pool: %s, using %s instead")
          void deprecatedPool(java.lang.String oldPool,
                                                                                                                                java.lang.String newPool)

      Deprecated pool
      Parameters:
        `oldPool` - The old pool name
        `newPool` - The new pool name

    - #### threadIsnotEnlistingThread

          @LogMessage(level=WARN)
           @Message(id=501,
                   value="Thread %s is not the enlisting thread %s")
          void threadIsnotEnlistingThread(java.lang.Object currentThread,
                                                                                                                                               java.lang.Object enlistingThread,
                                                                                                                                               @Cause
                                                                                                                                               java.lang.Throwable t)

      Thread is not the enlisting thread
      Parameters:
        `currentThread` - current thread
        `enlistingThread` - enlisting thread
        `t` - The exception

    - #### transactionErrorInBeforeCompletion

          @LogMessage(level=WARN)
           @Message(id=502,
                   value="Transaction %s error in beforeCompletion %s")
          void transactionErrorInBeforeCompletion(java.lang.Object transaction,
                                                                                                                                                          java.lang.Object synch,
                                                                                                                                                          @Cause
                                                                                                                                                          java.lang.Throwable t)

      Transaction error in before completion
      Parameters:
        `transaction` - transaction
        `synch` - Synchronization
        `t` - The exception

    - #### transactionErrorInAfterCompletion

          @LogMessage(level=WARN)
           @Message(id=503,
                   value="Transaction %s error in afterCompletion %s")
          void transactionErrorInAfterCompletion(java.lang.Object transaction,
                                                                                                                                                        java.lang.Object synch,
                                                                                                                                                        @Cause
                                                                                                                                                        java.lang.Throwable t)

      Transaction error in after completion
      Parameters:
        `transaction` - transaction
        `synch` - Synchronization
        `t` - The exception

    - #### transactionNotFound

          @LogMessage(level=WARN)
           @Message(id=504,
                   value="Transaction not found: %s")
          void transactionNotFound(java.lang.Object transaction)

      Transaction not found
      Parameters:
        `transaction` - transaction

    - #### returningConnectionValidatorInterrupted

          @LogMessage(level=INFO)
           @Message(id=601,
                   value="ConnectionValidator has been interrupted")
          void returningConnectionValidatorInterrupted()

      ConnectionValidator has been interrupted

    - #### connectionValidatorIgnoredUnexpectedRuntimeException

          @LogMessage(level=WARN)
           @Message(id=602,
                   value="ConnectionValidator ignored unexpected runtime exception")
          void connectionValidatorIgnoredUnexpectedRuntimeException(@Cause
                                                                                                                                                                                         java.lang.Throwable t)

      ConnectionValidator ignored unexpected runtime exception
      Parameters:
        `t` - The exception

    - #### connectionValidatorIgnoredUnexpectedError

          @LogMessage(level=WARN)
           @Message(id=603,
                   value="ConnectionValidator ignored unexpected error")
          void connectionValidatorIgnoredUnexpectedError(@Cause
                                                                                                                                                                  java.lang.Throwable t)

      ConnectionValidator ignored unexpected error
      Parameters:
        `t` - The exception

    - #### throwableWhileAttemptingGetNewGonnection

          @LogMessage(level=WARN)
           @Message(id=604,
                   value="Throwable while attempting to get a new connection: %s")
          void throwableWhileAttemptingGetNewGonnection(java.lang.Object cl,
                                                                                                                                                                           @Cause
                                                                                                                                                                           java.lang.Throwable t)

      Throwable while attempting to get a new connection
      Parameters:
        `cl` - The ConnectionListener
        `t` - The exception

    - #### destroyingConnectionNotSuccessfullyMatched

          @LogMessage(level=WARN)
           @Message(id=605,
                   value="Destroying connection that could not be successfully matched %s for %s")
          void destroyingConnectionNotSuccessfullyMatched(java.lang.Object cl,
                                                                                                                                                                                             java.lang.Object mcf)

      Destroying connection that could not be successfully matched
      Parameters:
        `cl` - The ConnectionListener
        `mcf` - managed connection factory

    - #### throwableWhileTryingMatchManagedConnection

          @LogMessage(level=WARN)
           @Message(id=606,
                   value="Throwable while trying to match managed connection, destroying connection: %s")
          void throwableWhileTryingMatchManagedConnection(java.lang.Object cl,
                                                                                                                                                                                                    @Cause
                                                                                                                                                                                                    java.lang.Throwable t)

      Throwable while trying to match ManagedConnection, destroying connection
      Parameters:
        `cl` - The ConnectionListener
        `t` - The exception

    - #### resourceExceptionCleaningUpManagedConnection

          @LogMessage(level=WARN)
           @Message(id=607,
                   value="ResourceException cleaning up managed connection: %s")
          void resourceExceptionCleaningUpManagedConnection(java.lang.Object cl,
                                                                                                                                                                             @Cause
                                                                                                                                                                             java.lang.Throwable t)

      ResourceException cleaning up ManagedConnection
      Parameters:
        `cl` - The ConnectionListener
        `t` - The exception

    - #### destroyingReturnedConnectionMaximumPoolSizeExceeded

          @LogMessage(level=WARN)
           @Message(id=608,
                   value="Destroying returned connection, maximum pool size exceeded %s")
          void destroyingReturnedConnectionMaximumPoolSizeExceeded(java.lang.Object cl)

      Destroying returned connection, maximum pool size exceeded
      Parameters:
        `cl` - The ConnectionListener

    - #### attemptReturnConnectionTwice

          @LogMessage(level=WARN)
           @Message(id=609,
                   value="Attempt to return connection twice: %s")
          void attemptReturnConnectionTwice(java.lang.Object cl,
                                                                                                                                               @Cause
                                                                                                                                               java.lang.Throwable t)

      Attempt to return connection twice
      Parameters:
        `cl` - The ConnectionListener
        `t` - The exception

    - #### unableFillPool

          @LogMessage(level=WARN)
           @Message(id=610,
                   value="Unable to fill pool: %s")
          void unableFillPool(@Cause
                                                                                                                  java.lang.Throwable t,
                                                                                                                  java.lang.String jndiName)

      Unable to fill pool
      Parameters:
        `t` - The exception
        `jndiName` - the jndi-name

    - #### backgroundValidationNonCompliantManagedConnectionFactory

          @LogMessage(level=WARN)
           @Message(id=611,
                   value="Warning: Background validation was specified with a non compliant ManagedConnectionFactory interface")
          void backgroundValidationNonCompliantManagedConnectionFactory()

      Background validation was specified with a non compliant ManagedConnectionFactory interface

    - #### destroyingConnectionNotSuccessfullyMatched

          @LogMessage(level=WARN)
           @Message(id=612,
                   value="Destroying connection that could not be successfully matched: %s")
          void destroyingConnectionNotSuccessfullyMatched(java.lang.Object cl)

      Destroying connection that could not be successfully matched
      Parameters:
        `cl` - The ConnectionListener

    - #### throwableWhileTryingMatchManagedConnectionThenDestroyingConnection

          @LogMessage(level=WARN)
           @Message(id=613,
                   value="Throwable while trying to match managed connection, destroying connection: %s")
          void throwableWhileTryingMatchManagedConnectionThenDestroyingConnection(java.lang.Object cl,
                                                                                                                                                                                                                            @Cause
                                                                                                                                                                                                                            java.lang.Throwable t)

      Throwable while trying to match ManagedConnection, destroying connection
      Parameters:
        `cl` - The ConnectionListener
        `t` - The exception

    - #### exceptionDuringCreateSubject

          @LogMessage(level=ERROR)
           @Message(id=614,
                   value="Exception during createSubject() for %s: %s")
          void exceptionDuringCreateSubject(java.lang.String jndiName,
                                                                                                                                                     java.lang.String description,
                                                                                                                                                     @Cause
                                                                                                                                                     java.lang.Throwable t)

      Exception during createSubject()
      Parameters:
        `jndiName` - The jndi-name
        `description` - throwable description
        `t` - The exception

    - #### destroyingActiveConnection

          @LogMessage(level=WARN)
           @Message(id=615,
                   value="Destroying active connection in pool: %s (%s)")
          void destroyingActiveConnection(java.lang.String poolName,
                                                                                                                                                    java.lang.Object mc)

      Going to destroy connection listener during shutdown
      Parameters:
        `poolName` - The pool name
        `mc` - The managed connection

    - #### connectionLeak

          @LogMessage(level=ERROR)
           @Message(id=616,
                   value="Leak detected in pool: %s (%s) (%d)")
          void connectionLeak(java.lang.String poolName,
                                                                                                                               java.lang.String id,
                                                                                                                               long time,
                                                                                                                               @Cause
                                                                                                                               java.lang.Throwable t)

      Connection leak
      Parameters:
        `poolName` - The pool name
        `id` - The connection listener id
        `time` - The timestamp
        `t` - The trace

    - #### invalidCapacityIncrementer

          @LogMessage(level=WARN)
           @Message(id=617,
                   value="Invalid incrementer capacity policy: %s")
          void invalidCapacityIncrementer(java.lang.String clz)

      Invalid incrementer policy
      Parameters:
        `clz` - The class name

    - #### invalidCapacityDecrementer

          @LogMessage(level=WARN)
           @Message(id=618,
                   value="Invalid decrementer capacity policy: %s")
          void invalidCapacityDecrementer(java.lang.String clz)

      Invalid decrementer policy
      Parameters:
        `clz` - The class name

    - #### invalidCapacityOption

          @LogMessage(level=WARN)
           @Message(id=619,
                   value="Invalid property \'%s\' with value \'%s\' for %s")
          void invalidCapacityOption(java.lang.String key,
                                                                                                                                                  java.lang.String value,
                                                                                                                                                  java.lang.String policy)

      Invalid policy option
      Parameters:
        `key` - The property name
        `value` - The property value
        `policy` - The class name

    - #### validateOnMatchNonCompliantManagedConnectionFactory

          @LogMessage(level=WARN)
           @Message(id=620,
                   value="Warning: ValidateOnMatch validation was specified with a non compliant ManagedConnectionFactory: %s")
          void validateOnMatchNonCompliantManagedConnectionFactory(java.lang.String mcf)

      ValidateOnMatch was specified with a non compliant ManagedConnectionFactory interface
      Parameters:
        `mcf` - The ManagedConnectionFactory

    - #### destroyingConnectionNotValidated

          @LogMessage(level=WARN)
           @Message(id=621,
                   value="Destroying connection that could not be validated: %s")
          void destroyingConnectionNotValidated(java.lang.Object cl)

      Destroying connection that could not be validated
      Parameters:
        `cl` - The ConnectionListener

    - #### unsupportedPoolImplementation

          @LogMessage(level=WARN)
           @Message(id=622,
                   value="Unsupported pool implementation: %s")
          void unsupportedPoolImplementation(java.lang.String clz)

      Unsupported pool implementation
      Parameters:
        `clz` - The pool

    - #### exceptionDuringUnbind

          @LogMessage(level=WARN)
           @Message(id=701,
                   value="Exception during unbind")
          void exceptionDuringUnbind(@Cause
                                                                                                                         java.lang.Throwable t)

      Exception during unbind
      Parameters:
        `t` - The exception

    - #### exceptionDuringConnectionClose

          @LogMessage(level=WARN)
           @Message(id=901,
                   value="Error during connection close")
          void exceptionDuringConnectionClose(@Cause
                                                                                                                                        java.lang.Throwable t)

      Error during connection close
      Parameters:
        `t` - The exception

    - #### exceptionDuringCrashRecoveryInflow

          @LogMessage(level=ERROR)
           @Message(id=902,
                   value="Error during inflow crash recovery for \'%s\' (%s)")
          void exceptionDuringCrashRecoveryInflow(java.lang.String rar,
                                                                                                                                                                  java.lang.Object as,
                                                                                                                                                                  @Cause
                                                                                                                                                                  java.lang.Throwable t)

      Error during inflow crash recovery
      Parameters:
        `rar` - The resource adapter class name
        `as` - The activation spec
        `t` - The exception

    - #### exceptionDuringCrashRecoverySubject

          @LogMessage(level=ERROR)
           @Message(id=903,
                   value="Error creating Subject for crash recovery: %s (%s)")
          void exceptionDuringCrashRecoverySubject(java.lang.String jndiName,
                                                                                                                                                                   java.lang.String reason,
                                                                                                                                                                   @Cause
                                                                                                                                                                   java.lang.Throwable t)

      Error creating Subject for crash recovery
      Parameters:
        `jndiName` - The JNDI name
        `reason` - The reason
        `t` - The exception

    - #### noCrashRecoverySecurityDomain

          @LogMessage(level=WARN)
           @Message(id=904,
                   value="No security domain defined for crash recovery: %s")
          void noCrashRecoverySecurityDomain(java.lang.String jndiName)

      No security domain defined for crash recovery
      Parameters:
        `jndiName` - The JNDI name

    - #### nullSubjectCrashRecovery

          @LogMessage(level=WARN)
           @Message(id=905,
                   value="Subject for crash recovery was null: %s")
          void nullSubjectCrashRecovery(java.lang.String jndiName)

      Subject for crash recovery was null
      Parameters:
        `jndiName` - The JNDI name

    - #### exceptionDuringCrashRecovery

          @LogMessage(level=ERROR)
           @Message(id=906,
                   value="Error during crash recovery: %s (%s)")
          void exceptionDuringCrashRecovery(java.lang.String jndiName,
                                                                                                                                              java.lang.String reason,
                                                                                                                                              @Cause
                                                                                                                                              java.lang.Throwable t)

      Error during crash recovery
      Parameters:
        `jndiName` - The JNDI name
        `reason` - The reason
        `t` - The exception

    - #### noUsersPropertiesFound

          @LogMessage(level=WARN)
           @Message(id=1001,
                   value="No users.properties were found")
          void noUsersPropertiesFound()

      No users.properties were found

    - #### errorWhileLoadingUsersProperties

          @LogMessage(level=ERROR)
           @Message(id=1002,
                   value="Error while loading users.properties")
          void errorWhileLoadingUsersProperties(@Cause
                                                                                                                                                   java.lang.Throwable t)

      Error while loading users.properties
      Parameters:
        `t` - The exception

    - #### noRolesPropertiesFound

          @LogMessage(level=WARN)
           @Message(id=1003,
                   value="No roles.properties were found")
          void noRolesPropertiesFound()

      No roles.properties were found

    - #### errorWhileLoadingRolesProperties

          @LogMessage(level=ERROR)
           @Message(id=1004,
                   value="Error while loading roles.properties")
          void errorWhileLoadingRolesProperties(@Cause
                                                                                                                                                   java.lang.Throwable t)

      Error while loading roles.properties
      Parameters:
        `t` - The exception

    - #### noCallbackPropertiesFound

          @LogMessage(level=WARN)
           @Message(id=1005,
                   value="No callback.properties were found")
          void noCallbackPropertiesFound()

      No callback.properties were found

    - #### errorWhileLoadingCallbackProperties

          @LogMessage(level=ERROR)
           @Message(id=1006,
                   value="Error while loading callback.properties")
          void errorWhileLoadingCallbackProperties(@Cause
                                                                                                                                                         java.lang.Throwable t)

      Error while loading callback.properties
      Parameters:
        `t` - The exception

    - #### prepareCalledOnLocaltx

          @LogMessage(level=WARN)
           @Message(id=1101,
                   value="Prepare called on a local tx. Use of local transactions on a JTA transaction with more than one branch may result in inconsistent data in some cases of failure")
          void prepareCalledOnLocaltx()

      Prepare called on a local tx

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)